<div dir="ltr"><div dir="ltr"><div dir="ltr"><div dir="ltr"><div>Hi Michael,</div><div><br></div><div>As you said to  try &quot;./loadall.sh&quot; in out/.../bin to build and load the modules. I did, And again i tried rebuilding the source.</div><div>./configure</div><div>source ./env.sh<br></div><div>kmk allcd out/linux.amd64/release/bin/src/</div><div>cd out/linux.amd64/release/bin/src/<br></div><div>make</div><div>make install<br></div><div></div><div>root@kungfu:/home/bipul/vbox/out/linux.amd64/release/bin# modprobe vboxdrv<br>root@kungfu:/home/bipul/vbox/out/linux.amd64/release/bin# /dev/vboxdrv<br><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><i>-bash: /dev/vboxdrv: Permission denied</i><br></blockquote>root@kungfu:/home/bipul/vbox/out/linux.amd64/release/bin# ./VirtualBox<br><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">.<i>/VirtualBox: error while loading shared libraries: VBoxGlobal.so: cannot open shared object file: No such file or directory</i><br></blockquote></div><div><br></div><div>Seems like it does not able to load *VBoxGlobal.so*</div><div>Please help !!</div><div><br></div><div><div dir="ltr" class="gmail_signature"><div dir="ltr"><div>    Respectfully,<br>    Bipul<br>  <a href="http://ix.io/1nWf" target="_blank">  PUBLIC KEY</a> <br>    97F0 2E08 7DE7 D538 BDFA  B708 86D8 BE27 8196 D466<br>                    ** Please excuse brevity and typos. **</div></div></div></div><br></div></div></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Sun, Apr 7, 2019 at 10:16 PM Valdis Klētnieks &lt;<a href="mailto:valdis.kletnieks@vt.edu">valdis.kletnieks@vt.edu</a>&gt; wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">On Sun, 07 Apr 2019 14:32:12 +0530, Bipul kumar said:<br>
<br>
&gt; 1.  Ubuntu 18.04.2 LTS running on 64 bit , repository enabled - main<br>
<br>
I see a 64 here, which means your install probably only installed 64-bit libraries<br>
by default.<br>
<br>
&gt; restricted, universe, multiverse, partner<br>
&gt;  Failed to build on *host* as well as inside *chroot jail*, i have shared<br>
&gt; the chroot jailed error in the previous email, apart it&#39;s missing some<br>
&gt; required packages in repository like  ia32-libs libc6-dev-i386 lib32gcc1<br>
&gt; lib32stdc++6<br>
<br>
So you might want to investigate why your build is referencing 32-bit packages.<br>
Did you tell it to build 32-bit programs rather than 64?  (Hint - you don&#39;t need<br>
the userspace to be 32 bit to run a 32-bit image - the 64 bit version can run an<br>
image for a 32 or 64 bit VM.<br>
</blockquote></div>